/******************************************************************************
 *                                                                            *
 * File:   noapipa.h          Version  1.00            Date: 2001-09-27       *
 *                                                                            *
 * Copyright (C) 2001 by Kostis Netzwerkberatung                              *
 * Talstr. 25, D-63322 Roedermark, Tel. +49 6074 881056, FAX 881058           *
 * kosta@kostis.de (Kosta Kostis), http://www.kostis.de/                      *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2001-09-27: KK V1.00                                                   *
 *        - see noapipa.c                                                     *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Version Constants

 *****************************************************************************/

#define PRGNAM			"noapipa"
#define VERSION			"V1.00 (2001-09-27)"

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           "\
Copyright (C) 2001 by Kostis Netzwerkberatung\n\
Talstr. 25, D-63322 Roedermark, Tel. +49 6074 881056, FAX 881058\n\
kosta@kostis.de (Kosta Kostis), http://www.kostis.de/\n"
#define MSG_VERSION             "%s %s\n"
#define	MSG_LOG			"%s: %s successfully modified"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX		"Syntax: %s computername\n"

#define ERR_MSG_CONNECT		"%s: unable to connect to %s registry (rc=%ld)\n"
#define ERR_MSG_OPEN		"%s: unable to open %s registry (rc=%ld)\n"
#define ERR_MSG_SETVALUE	"%s: unable to set value on %s registry (rc=%ld)\n"
#define ERR_MSG_CLOSE		"%s: unable to close connection to %s registry (rc=%ld)\n"

/******************************************************************************

	Function/Program Return Codes

 *****************************************************************************/

#define ERR_NONE		0	/* everything seemed to work         */
#define ERR_SYNTAX		1	/* syntax error                      */

#define	ERR_CONNECT		2	/* unable to connect to computer     */
#define	ERR_OPEN		3	/* unable to open registry key       */
#define	ERR_SETVALUE		4	/* unable to set registry value      */
#define	ERR_CLOSE		5	/* unable to disconnect from computer*/

/******************************************************************************

	Program Constants

 *****************************************************************************/

#define	REG_KEY_TCPIP	"SYSTEM\\CurrentControlSet\\Services\\Tcpip\\Parameters"
#define	REG_VAL_APIPA	"IPAutoconfigurationEnabled"
#define	REG_VAL_DISABLE	0
#define	REG_VAL_ENABLE	1
